--- lib/libdvbcfg/Makefile	17 Jul 2005 01:03:23 -0000	1.15
+++ lib/libdvbcfg/Makefile	29 Sep 2005 09:15:37 -0000
@@ -26,12 +26,16 @@
 
 DVBCFG_DEFAULT_DIR = /tmp
 
-CFLAGS ?= -O2 -g -Wall -Wstrict-prototypes -Wshadow -Wpointer-arith -DDVBCFG_DEFAULT_DIR=$(DVBCFG_DEFAULT_DIR)
+CFLAGS = -O2 -g -Wall -Wstrict-prototypes -Wshadow -Wpointer-arith
+CFLAGS += -DDVBCFG_DEFAULT_DIR=$(DVBCFG_DEFAULT_DIR)
 CPPFLAGS = -I. -I../../include
 
 LIB = libdvbcfg.a
 RANLIB = ranlib
-INSTDIR=/tmp
+
+prefix = /usr/local
+libdir = $(prefix)/lib
+includedir = $(prefix)/include
 
 libdvbcfg.a: $(OBJS)
 	$(AR) rc $(LIB) $(OBJS)
@@ -41,10 +45,10 @@
 	make -C test
 
 install: $(LIB) $(INCLUDES)
-	mkdir -p $(INSTDIR)/lib
-	mkdir -p $(INSTDIR)/include
-	cp -f $(LIB) $(INSTDIR)/lib
-	cp -f $(INCLUDES) $(INSTDIR)/include
+	mkdir -p $(DESTDIR)$(libdir)
+	mkdir -p $(DESTDIR)$(includedir)
+	install -m 755 $(LIB) $(DESTDIR)$(libdir)
+	install -m 644 $(INCLUDES) $(DESTDIR)$(includedir)
 
 clean:
 	rm -f *~ *# *.o *.a
--- libs/libdvb2/Makefile	28 Aug 2005 22:33:50 -0000	1.3
+++ libs/libdvb2/Makefile	29 Sep 2005 09:15:37 -0000
@@ -27,15 +27,20 @@
 CC = gcc
 LD = gcc
 
-CFLAGS = -Wall -Wformat -Wpointer-arith -g -fPIC
+CFLAGS = -Wall -Wformat -Wpointer-arith -g
+override CFLAGS += -fPIC
 CPPFLAGS = -MD -I../../include -I. -I../libsi2 $(DEFS)
 LDFLAGS = -shared -lc -lpthread -lrt -ldl
 
+# XXX: bad, use soname!
 TARGET = libdvb2.so
-INSTDIR = /usr/local
 DVBLIBS = -Lci -L../libsi2 -lci2 -lsi2
 TESTLIBS = -L. -L../libsi2 -ldvb2 -lsi2
 
+prefix = /usr/local
+libdir = $(prefix)/lib
+includedir = $(prefix)/include
+
 .PHONY: all ci plugins
 
 all: symlink $(TARGET) ci plugins test
@@ -54,11 +59,11 @@
 	$(MAKE) -C ci
 
 install: $(LIB) $(INC)
-	$(MAKE) -C plugins install INSTDIR=$(INSTDIR)
-	mkdir -p $(INSTDIR)/lib
-	mkdir -p $(INSTDIR)/include/dvb
-	cp -f $(TARGET) $(INSTDIR)/lib
-	cp -f $(INC) $(INSTDIR)/include/dvb
+	$(MAKE) -C plugins install
+	mkdir -p $(DESTDIR)$(libdir)
+	mkdir -p $(DESTDIR)$(includedir)/dvb
+	install -m 755 $(TARGET) $(DESTDIR)$(libdir)
+	install -m 755 $(INC) $(DESTDIR)$(includedir)/dvb
 
 test: test.c
 	$(CC) $(CFLAGS) $(CPPFLAGS) $(TESTLIBS) test.c -o test
--- libs/libdvb2/ci/Makefile	28 Aug 2005 22:33:50 -0000	1.2
+++ libs/libdvb2/ci/Makefile	29 Sep 2005 09:15:37 -0000
@@ -14,13 +14,16 @@
 		ci_transport.h
 
 CC = gcc
-CFLAGS = -Wall -Wpointer-arith -g -fPIC
+CFLAGS = -Wall -Wpointer-arith -g
+override CFLAGS += -fPIC
 CPPFLAGS = -MD -I../../../include -I. -I.. -I../../libsi2 $(DEFS)
 LDFLAGS = -r
 
 TARGET = libci2.a
-INSTDIR= /usr/local
-DVBLIBS=-lc -Wl,-rpath . -Wl,-rpath si2 -L. -Lsi2 -lsi2 -ldvb2
+
+prefix = /usr/local
+libdir = $(prefix)/lib
+includedir = $(prefix)/include
 
 .PHONY: all
 
@@ -30,10 +33,10 @@
 	$(LD) $(LDFLAGS) $(OBJS) -o $(TARGET)
 
 install: $(LIB) $(INCLUDES)
-	mkdir -p $(INSTDIR)/lib
-	mkdir -p $(INSTDIR)/include
-	cp -f $(LIB) $(INSTDIR)/lib
-	cp -f $(INCLUDES) $(INSTDIR)/include
+	mkdir -p $(DESTDIR)$(libdir)
+	mkdir -p $(DESTDIR)$(includedir)
+	install -m 644 $(LIB) $(DESTDIR)$(libdir)
+	install -m 755 $(INCLUDES) $(DESTDIR)$(includedir)
 
 clean:
 	rm -f *.d *.o $(TARGET)
--- libs/libdvb2/plugins/Makefile	28 Aug 2005 22:33:50 -0000	1.2
+++ libs/libdvb2/plugins/Makefile	29 Sep 2005 09:15:37 -0000
@@ -2,12 +2,16 @@
 CC = gcc
 LD = gcc
 
-CFLAGS = -Wall -g -fPIC
+CFLAGS = -Wall -g
+override CFLAGS += -fPIC
 CPPFLAGS = -MD -I../../../include -I. -I.. -I../../libsi2 $(DEFS)
 LDFLAGS = -lc -L../ -ldvb2 -L../ci -lci2 -shared
 PLUGINS = ci_linklayer.so ci_highlevel.so
 
-INSTDIR = /usr/local
+prefix = /usr/local
+libdir = $(prefix)/lib
+includedir = $(prefix)/include
+
 
 .PHONY: all
 
@@ -17,8 +21,8 @@
 	$(LD) $(LDFLAGS) $< -o $@
 
 install: $(PLUGINS)
-	mkdir -p $(INSTDIR)/lib/dvb
-	cp -f $(PLUGINS) $(INSTDIR)/lib/dvb
+	mkdir -p $(DESTDIR)$(libdir)/dvb
+	install -m 644 $(PLUGINS) $(DESTDIR)$(libdir)/dvb
 
 clean:
 	rm -f *.d *.o *.so
--- libs/libdvbcfg/Makefile	28 Aug 2005 22:33:50 -0000	1.8
+++ libs/libdvbcfg/Makefile	29 Sep 2005 09:15:37 -0000
@@ -30,15 +30,19 @@
 
 DVBCFG_DEFAULT_DIR = /etc/dvb
 
-CFLAGS ?= -fPIC -O2 -g -Wall -Wstrict-prototypes -Wshadow -Wpointer-arith -DDVBCFG_DEFAULT_DIR=\"$(DVBCFG_DEFAULT_DIR)\"
-CPPFLAGS = -I. -I../../include
+CFLAGS = -O2 -g -Wall -Wstrict-prototypes -Wshadow -Wpointer-arith
+override CFLAGS += -fPIC
+CPPFLAGS = -DDVBCFG_DEFAULT_DIR=\"$(DVBCFG_DEFAULT_DIR)\" -I. -I../../include
 LDFLAGS = -shared -lc
 
 STATICLIB = libdvbcfg.a
+# XXX: bad, use soname!
 SHAREDLIB = libdvbcfg.so
 RANLIB = ranlib
-STRIP = strip
-INSTDIR=/usr/local
+
+prefix = /usr/local
+libdir = $(prefix)/lib
+includedir = $(prefix)/include
 
 all: symlink $(STATICLIB) $(SHAREDLIB)
 
@@ -57,12 +61,11 @@
 	make -C test
 
 install: $(STATICLIB) $(SHAREDLIB) $(INCLUDES)
-	mkdir -p $(INSTDIR)/lib
-	mkdir -p $(INSTDIR)/include/dvb/cfg
-	cp -f $(STATICLIB) $(INSTDIR)/lib
-	cp -f $(SHAREDLIB) $(INSTDIR)/lib
-	$(STRIP) $(INSTDIR)/lib/$(SHAREDLIB)
-	cp -f $(INCLUDES) $(INSTDIR)/include/dvb/cfg
+	mkdir -p $(DESTDIR)$(libdir)
+	mkdir -p $(DESTDIR)$(includedir)/dvb/cfg
+	install -m 644 $(STATICLIB) $(DESTDIR)$(libdir)
+	install -m 755 $(SHAREDLIB) $(DESTDIR)$(libdir)
+	install -m 644 $(INCLUDES) $(DESTDIR)$(includedir)/dvb/cfg
 
 clean:
 	rm -f *~ *# *.o *.a *.so cfg
--- libs/libsi2/Makefile	22 Jul 2005 20:09:29 -0000	1.8
+++ libs/libsi2/Makefile	29 Sep 2005 09:15:37 -0000
@@ -11,14 +11,19 @@
 	transport_packet.h
 
 CC = gcc
-CFLAGS = -Wall -Wpointer-arith -g -fPIC
+CFLAGS = -Wall -Wpointer-arith -g
+override CFLAGS += -fPIC
 CPPFLAGS = -MD -I. $(DEFS)
 LDFLAGS = -shared
 RANLIB = ranlib
 
+prefix = /usr/local
+libdir = $(prefix)/lib
+includedir = $(prefix)/include
+
 STATICLIB = libsi2.a
+# XXX: bad, use soname!
 SHAREDLIB = libsi2.so
-INSTDIR= /usr/local
 
 .PHONY: symlink all mpeg dvb atsc
 
@@ -36,15 +41,14 @@
 	$(RANLIB) $(STATICLIB)
 
 install: $(SHAREDLIB) $(STATICLIB) $(INC)
-	make -C mpeg install INSTDIR=$(INSTDIR)
-	make -C dvb install INSTDIR=$(INSTDIR)
-	make -C atsc install INSTDIR=$(INSTDIR)
-	mkdir -p $(INSTDIR)/lib
-	mkdir -p $(INSTDIR)/include/dvb/si
-	cp -f $(STATICLIB) $(INSTDIR)/lib
-	cp -f $(SHAREDLIB) $(INSTDIR)/lib
-	strip $(INSTDIR)/lib/$(SHAREDLIB)
-	cp -f $(INC) $(INSTDIR)/include/dvb/si
+	$(MAKE) -C mpeg install
+	$(MAKE) -C dvb install
+	$(MAKE) -C atsc install
+	mkdir -p $(DESTDIR)$(libdir)
+	mkdir -p $(DESTDIR)$(includedir)/dvb/si
+	install -m 644 $(STATICLIB) $(DESTDIR)$(libdir)
+	install -m 755 $(SHAREDLIB) $(DESTDIR)$(libdir)
+	install -m 644 $(INC) $(DESTDIR)$(includedir)/dvb/si
 
 mpeg:
 	$(MAKE) -C mpeg
--- libs/libsi2/atsc/Makefile	17 Jul 2005 16:38:29 -0000	1.1
+++ libs/libsi2/atsc/Makefile	29 Sep 2005 09:15:37 -0000
@@ -1,9 +1,14 @@
 
 CC = gcc
 CFLAGS = -Wall -Wpointer-arith -g
+override CFLAGS += -fPIC
 CPPFLAGS = -MD -I. -I.. $(DEFS)
 LDFLAGS = -r
 
+prefix = /usr/local
+libdir = $(prefix)/lib
+includedir = $(prefix)/include
+
 OBJ =
 INC = section.h \
       descriptor.h
@@ -18,8 +23,8 @@
 	$(LD) $(LDFLAGS) $(OBJ) -o $(TARGET)
 
 install: $(LIB) $(INC)
-	mkdir -p $(INSTDIR)/include/dvb/si/atsc
-	cp -f $(INC) $(INSTDIR)/include/dvb/si/atsc
+	mkdir -p $(DESTDIR)$(includedir)/dvb/si/atsc
+	install -m 644 $(INC) $(DESTDIR)$(includedir)/dvb/si/atsc
 
 clean:
 	rm -f *.d *.o $(TARGET) test
--- libs/libsi2/dvb/Makefile	18 Aug 2005 08:05:26 -0000	1.2
+++ libs/libsi2/dvb/Makefile	29 Sep 2005 09:15:37 -0000
@@ -1,9 +1,14 @@
 
 CC = gcc
-CFLAGS = -Wall -Wpointer-arith -g -fPIC
+CFLAGS = -Wall -Wpointer-arith -g
+override CFLAGS += -fPIC
 CPPFLAGS = -MD -I. -I.. $(DEFS)
 LDFLAGS = -r
 
+prefix = /usr/local
+libdir = $(prefix)/lib
+includedir = $(prefix)/include
+
 OBJ = bat_section.o \
       eit_section.o \
       dit_section.o \
@@ -20,7 +25,7 @@
       bat_section.h \
       dit_section.h \
       eit_section.h \
-      int_sectio.h \
+      int_section.h \
       nit_section.h \
       rst_section.h \
       sdt_section.h \
@@ -87,8 +92,8 @@
 	$(LD) $(LDFLAGS) $(OBJ) -o $(TARGET)
 
 install: $(LIB) $(INC)
-	mkdir -p $(INSTDIR)/include/dvb/si/dvb
-	cp -f $(INC) $(INSTDIR)/include/dvb/si/dvb
+	mkdir -p $(DESTDIR)$(includedir)/dvb/si/dvb
+	install -m 644 $(INC) $(DESTDIR)$(includedir)/dvb/si/dvb
 
 clean:
 	rm -f *.d *.o $(TARGET) test
--- libs/libsi2/mpeg/Makefile	17 Jul 2005 16:38:30 -0000	1.1
+++ libs/libsi2/mpeg/Makefile	29 Sep 2005 09:15:37 -0000
@@ -1,9 +1,14 @@
 
 CC = gcc
-CFLAGS = -Wall -Wpointer-arith -g -fPIC
+CFLAGS = -Wall -Wpointer-arith -g
+override CFLAGS += -fPIC
 CPPFLAGS = -MD -I. -I.. $(DEFS)
 LDFLAGS = -r
 
+prefix = /usr/local
+libdir = $(prefix)/lib
+includedir = $(prefix)/include
+
 OBJ = cat_section.o \
       pat_section.o \
       pmt_section.o \
@@ -54,8 +59,8 @@
 	$(LD) $(LDFLAGS) $(OBJ) -o $(TARGET)
 
 install: $(LIB) $(INC)
-	mkdir -p $(INSTDIR)/include/dvb/si/mpeg
-	cp -f $(INC) $(INSTDIR)/include/dvb/si/mpeg
+	mkdir -p $(DESTDIR)$(includedir)/dvb/si/mpeg
+	install -m 644 $(INC) $(DESTDIR)$(includedir)/dvb/si/mpeg
 
 clean:
 	rm -f *.d *.o $(TARGET) test
